GH-RUN-WATCH(1)

NAME

gh-run-watch - Watch a run until it completes, showing its progress

SYNOPSIS

gh run watch <run-id> [flags]

OPTIONS

--exit-status
    Exit with non-zero status if run fails

-i, --interval <int>
    Refresh interval in seconds

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE
    # Watch a run until it's done
    gh run watch
    # Run some other command when the run is finished
    gh run watch && notify-send "run is done!"

SEE ALSO

gh-run(1)